Bug 499484 - projectM-pulseaudio segmentation fault on startup
projectM-pulseaudio segmentation fault on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: projectM-pulseaudio (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jameson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 16:27 EDT by Michael Ploujnikov
Modified: 2009-06-14 20:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-14 20:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (8.72 KB, text/plain)
2009-05-06 16:27 EDT, Michael Ploujnikov
no flags Details

  None (edit)
Description Michael Ploujnikov 2009-05-06 16:27:26 EDT
Created attachment 342712 [details]
gdb backtrace

Description of problem:
Every time I try to run projectM-pulseaudio it crashes on startup.

Version-Release number of selected component (if applicable):
projectM-pulseaudio-1.2.0-3.fc9.x86_64
pulseaudio-0.9.10-2.fc9.x86_64
qt-x11-4.4.3-10.fc9.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. $projectM-pulseaudio
2.
3.
  
Actual results:
$ projectM-pulseaudio 
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x1c00003
dir:/usr/share/projectM/config.inp 
reading ~/.projectM/config.inp 
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
unconnected: connecting... 
connectHelper:  "alsa_output.pci_1102_4_sound_card_0_alsa_playback_0.monitor" 
Segmentation fault (core dumped)

Expected results:
It should start without a segmentation fault and display some pretty things.

Additional info:
Comment 1 Michael Ploujnikov 2009-05-06 17:54:25 EDT
I updated qt-x11 and got the following packages:
qt-x11-4.5.0-14.fc9.x86_64
qt-mysql-4.5.0-14.fc9.x86_64
qt-4.5.0-14.fc9.x86_64
qt-devel-4.5.0-14.fc9.x86_64
qt-debuginfo-4.5.0-14.fc9.x86_64

I'm still getting the same segfault. I noticed, though, that I only get it if I start playing audio with a program like mplayer or vlc while projectM-pulseaudio is running. Otherwise it just opens a blank/transparent window and prints the following:
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x1c00003
dir:/usr/share/projectM/config.inp 
reading ~/.projectM/config.inp 
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
unconnected: connecting... 
connectHelper:  "alsa_output.pci_1102_4_sound_card_0_alsa_playback_0.monitor"

Also, projectM-pulseaudio crashes on startup if some audio is already being played.
Comment 2 Bug Zapper 2009-06-09 23:42:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michael Ploujnikov 2009-06-14 20:44:23 EDT
projectM-pulseaudio works perfectly (without segfaulting) in Fedora 10 (on different hardware) with the following packages:

qt-x11-4.5.0-14.fc10.x86_64
projectM-pulseaudio-1.2.0-3.fc10.x86_64
pulseaudio-0.9.13-6.fc10.x86_64
xorg-x11-drv-nvidia-180.51-1.fc10.x86_64
xorg-x11-drv-nvidia-libs-180.51-1.fc10.i386
xorg-x11-drv-nvidia-libs-180.51-1.fc10.x86_64
kmod-nvidia-180.51-1.fc10.1.x86_64

I might re-open this bug when I'm able to run 3D applications on the original hardware with Fedora 11 (see bug#505933).

Note You need to log in before you can comment on or make changes to this bug.